dnl
dnl Xpm library and Solaris 2.x  checking
dnl

AC_DEFUN(AC_PATH_XPM,
[
no_xpm=
AC_ARG_WITH(xpm-includes, [  --with-xpm-includes=DIR  Specifies Xpm includes directory],
[
if test x$withval = xyes; then
AC_MSG_WARN(Usage is: --with-xpm-includes=DIR)
	xpm_includes=NONE
	no_xpm=yes
else
	xpm_includes=$withval
fi
],
[
xpm_includes=NONE
no_xpm=yes
])dnl
AC_ARG_WITH(xpm-libraries, [  --with-xpm-libraries=DIR Specifies Xpm libraries directory],
[
if test x$withval = xyes; then
AC_MSG_WARN(Usage is: --with-xpm-libraries=DIR)
	xpm_libraries=NONE
	no_xpm=yes
else
	xpm_libraries=$withval
fi
],
[
xpm_libraries=NONE
no_xpm=yes
])dnl

if test "x$no_xpm" = xyes; then
check_xpm=yes
AC_MSG_CHECKING(for Xpm)

	if test "x$xpm_includes" = xNONE; then
AC_PATH_XPM_HEADERS
	fi

	if test "x$no_xpm" != xyes; then
		if test "x$xpm_libraries" = xNONE; then
		no_xpm=yes
AC_PATH_XPM_LIBRARIES
		fi
	fi
fi

if test "x$check_xpm" = xyes; then
	if test "x$no_xpm" = xyes; then
		ac_msg_xpm=no
	else
		ac_msg_xpm="libraries $xpm_libraries, "
		ac_msg_xpm="${ac_msg_xpm}headers $xpm_includes"
	fi
AC_MSG_RESULT([$ac_msg_xpm])
fi
])

dnl Internal subroutines of AC_PATH_XPM
AC_DEFUN(AC_PATH_XPM_HEADERS,
[ for ac_dir in				\
	/usr/local/include		\
	/usr/local/include/X11		\
	$OPENWINHOME/include		\
	$OPENWINHOME/include/X11	\
	/usr/openwin/include		\
	/usr/openwin/include/X11	\
	/usr/X11R6.3/include		\
	/usr/X11R6.3/include/X11	\
	/usr/X11R6.1/include		\
	/usr/X11R6.1/include/X11	\
	/usr/X11R6/include		\
	/usr/X11R6/include/X11		\
	/usr/X11R5/include		\
	/usr/X11R5/include/X11		\
	/usr/include/X11R6.3		\
	/usr/include/X11R6.1		\
	/usr/include/X11R6		\
	/usr/include/X11R5		\
	/usr/local/include/X11R6.3	\
	/usr/local/include/X11R6.1	\
	/usr/local/include/X11R6	\
	/usr/local/include/X11R5	\
	/usr/X386/include		\
	/usr/X386/include/X11		\
	/usr/x386/include		\
	/usr/x386/include/X11		\
	/usr/XFree86/include		\
	/usr/XFree86/include/X11	\
	/usr/include			\
	/usr/unsupported/include	\
	/usr/athena/include		\
	;				\
  do
	if test -r "$ac_dir/xpm.h"; then
		if test "$ac_dir" = "/usr/include"; then
			xpm_includes=
		else
			xpm_includes=$ac_dir
		fi
		no_xpm=
		break;
	fi
  done])

AC_DEFUN(AC_PATH_XPM_LIBRARIES,
[ for ac_dir in				\
	/usr/local/lib			\
	/usr/local/lib/X11		\
	$OPENWINHOME/lib		\
	$OPENWINHOME/lib/X11		\
	/usr/openwin/lib		\
	/usr/X11R6.3/lib		\
	/usr/X11R6.3/lib/X11		\
	/usr/X11R6.1/lib		\
	/usr/X11R6.1/lib/X11		\
	/usr/X11R6/lib			\
	/usr/X11R6/lib/X11		\
	/usr/X11R5/lib			\
	/usr/X11R5/lib/X11		\
	/usr/lib/X11R6.3		\
	/usr/lib/X11R6.1		\
	/usr/lib/X11R6			\
	/usr/lib/X11R5			\
	/usr/local/lib/X11R6.3		\
	/usr/local/lib/X11R6.1		\
	/usr/local/lib/X11R6		\
	/usr/local/lib/X11R5		\
	/usr/lib			\
	/usr/X11/lib			\
	/usr/lib/X11			\
	/usr/local/X11/lib		\
	/usr/unsupported/lib		\
	/usr/athena/lib			\
	;				\
  do
	if test -r $ac_dir/libXpm.a; then
		if test "$ac_dir" = "/usr/lib"; then
			xpm_libraries=
		else
			xpm_libraries=$ac_dir
		fi
		no_xpm=
		break;
	fi
  done])

AC_DEFUN(AC_CHECK_SUNOS5,
[
sunos5=
AC_MSG_CHECKING(for Solaris 2.x)
if test "`(uname) 2>/dev/null`" = SunOS &&
   uname -r | grep '^5' >/dev/null; then
	sunos5=yes
	AC_MSG_RESULT(yes)
else
	sunos5=
	AC_MSG_RESULT(no)
fi])
