#include <signal.h>
#include "global.h"

PUBLIC(RETSIGTYPE, handler, (int sig));
PUBLIC(char*, sig_name, (int sig));
EXTERN(void, Quit, (int status));

extern char *app_name;

RETSIGTYPE handler(sig)
	int sig;
{
 warn("received signal %d (%s). Exiting ..", sig, sig_name(sig));
 Quit(1);
}

char *sig_name(sig)
	int sig;
{
 switch (sig) {
	case SIGHUP	: return "SIGHUP";
	case SIGINT	: return "SIGINT";
	case SIGQUIT	: return "SIGQUIT";
	case SIGBUS	: return "SIGBUS";
	case SIGSEGV	: return "SIGSEGV";
	case SIGTERM	: return "SIGTERM";
	default		: return "Unknown";
 }
}

void intercept_signals()
{
 signal(SIGHUP, handler);
 signal(SIGINT, handler);
 signal(SIGQUIT, handler);
 signal(SIGBUS, handler);
 signal(SIGSEGV, handler);
 signal(SIGTERM, handler);

 return;
}
